summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authorRichard Yao <[email protected]>2012-04-03 00:21:22 -0400
committerBrian Behlendorf <[email protected]>2012-04-03 10:37:18 -0700
commit2ce9d0ec61706e56abd4c56fe78bfe11365ad130 (patch)
treeec6a9eb6a85d7f02e33ba26a3416bd61a1c7947b /etc
parent847de12271af349bba07027dbcbc83aaa53b4b1a (diff)
Make Gentoo initscript use modinfo
The -l parameter to modprobe has been removed from the latest upstream code and this change has entered Gentoo. Using modinfo as a substitute addresses this. Signed-off-by: Brian Behlendorf <[email protected]> Closes #636
Diffstat (limited to 'etc')
-rw-r--r--etc/init.d/zfs.gentoo.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/etc/init.d/zfs.gentoo.in b/etc/init.d/zfs.gentoo.in
index 767aba8f9..957be99ae 100644
--- a/etc/init.d/zfs.gentoo.in
+++ b/etc/init.d/zfs.gentoo.in
@@ -19,7 +19,7 @@ ZFS_MODULE=zfs
checksystem() {
if [ ! -c /dev/zfs ]; then
einfo "Checking if ZFS modules present"
- if [ "x$(modprobe -l $ZFS_MODULE | grep $ZFS_MODULE)" == "x" ]; then
+ if ! modinfo zfs > /dev/null 2>&1 ; then
eerror "$ZFS_MODULE not found. Is the ZFS package installed?"
return 1
fi